BaseEnversEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.event
Class BaseEnversEventListener

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener

All Implemented Interfaces:
  EnversListener

Direct Known Subclasses:
  BaseEnversCollectionEventListener, EnversPostDeleteEventListenerImpl, EnversPostInsertEventListenerImpl, EnversPostUpdateEventListenerImpl

    public abstract class BaseEnversEventListener

extends Object
implements EnversListener

Base class for all Envers event listeners

Constructor Summary
`protected` | `BaseEnversEventListener(AuditConfiguration enversConfiguration)`

Method Summary
`protected void` | `generateBidirectionalCollectionChangeWorkUnits(AuditProcess auditProcess, EntityPersister entityPersister, String entityName, Object[] newState, Object[] oldState, SessionImplementor session)`
`AuditConfiguration` | `getAuditConfiguration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseEnversEventListener

    protected BaseEnversEventListener(AuditConfiguration enversConfiguration)

Method Detail

### getAuditConfiguration

    public AuditConfiguration getAuditConfiguration()

  Specified by:
    `getAuditConfiguration` in interface `EnversListener`

### generateBidirectionalCollectionChangeWorkUnits

    protected final void generateBidirectionalCollectionChangeWorkUnits(AuditProcess auditProcess,
                                                                        EntityPersister entityPersister,
                                                                        String entityName,
                                                                        Object[] newState,
                                                                        Object[] oldState,
                                                                        SessionImplementor session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.